%define		module		colorama
Summary:	Cross-platform colored terminal text
Summary(pl.UTF-8):	Wieloplatformowe kolorowanie tekstu na terminalu
Name:		python3-%{module}
Version:	0.4.6
Release:	2
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/colorama/
Source0:	https://files.pythonhosted.org/packages/source/c/colorama/%{module}-%{version}.tar.gz
# Source0-md5:	11fe1cbf8299798551ac88f824ea11c4
URL:		https://github.com/tartley/colorama
BuildRequires:	python3-build
BuildRequires:	python3-hatchling >= 0.25.1
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
BuildRequires:	sed >= 4.0
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ANSI escape character sequences have long been used to produce colored
terminal text and cursor positioning on Unix and Macs. Colorama makes
this work on Windows, too, by wrapping stdout, stripping ANSI
sequences it finds (which otherwise show up as gobbledygook in your
output), and converting them into the appropriate Win32 calls to
modify the state of the terminal. On other platforms, Colorama does
nothing.

Colorama also provides some shortcuts to help generate ANSI sequences
but works fine in conjunction with any other ANSI sequence generation
library, such as Termcolor (<https://pypi.org/project/termcolor/>).

This has the upshot of providing a simple cross-platform API for
printing colored terminal text from Python, and has the happy
side-effect that existing applications or libraries which use ANSI
sequences to produce colored output on Linux or Macs can now also work
on Windows, simply by calling colorama.init().

%description -l pl.UTF-8
Do wyświetlania kolorowego tekstu na terminalu oraz przesuwania
kursora w systemach Unix i Mac od dawna używane są sekwencje ANSI.
Colorama sprawia, że działa to także pod Windows - poprzez
przechwycenie stdout, wycinanie znalezionych sekwencji ANSI (które w
przeciwnym wypadku wyświetliłyby się jako bełkot) i przekształcanie
ich na odpowiednie wywołania Win32, modyfikujące stan terminala. Na
innych platformach Colorama nie robi nic.

Colorama zapewnia też pewne ułatwienia do generowania sekwencji ANSI,
ale działa dobrze w połączeniu z dowolną inną biblioteką generującą
sekwencje ANSI, taką jak Termcolor
(<https://pypi.org/project/termcolor/>).

Efektem jest zapewnienie prostego, wieloplatformowego API do
wypisywania kolorowego tekstu z Pythona, co ma miły efekt uboczny, że
istniejące aplikacje czy biblioteki wykorzystujące sekwencje ANSI do
tworzenia kolorowego wyjścia pod systemem Linux czy Mac będą teraz
działać także pod Windows dzięki prostemu wywołaniu colorama.init().

%prep
%setup -q -n %{module}-%{version}

%{__sed} -i -e '1s,/usr/bin/env bash,/bin/sh,' demos/demo.sh

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a demos/*.{py,sh} $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%{__sed} -i -e '1s,/usr/bin/python,%{__python3},' $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}/*.py
%{__sed} -i -e 's,^python ,%{__python3},' $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}/demo.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE.txt README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}.dist-info
%{_examplesdir}/python3-%{module}-%{version}
%changelog
* Wed Jun 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-colorama.git;a=log;h=master

* Wed Jun 25 2025 Jakub Bogusz <qboosh@pld-linux.org> e6ad5b7
- updated dependencies, release 2 (fix python-modules dependency)

* Fri Mar 28 2025 Jan Rękorajski <baggins@pld-linux.org> 67dc141
- up to 0.4.6

* Fri Mar 28 2025 Jan Rękorajski <baggins@pld-linux.org> 0789374
- rel 5, python3 moved to separate package

* Thu Mar 27 2025 Jan Rękorajski <baggins@pld-linux.org> a0b73b6
- Release 4 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> fc42379
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e9d2d82
- python 3.13 rebuild

* Mon Sep 12 2022 Jakub Bogusz <qboosh@pld-linux.org> b352447
- updated to 0.4.5

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ef1c446
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> a7c4c85
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> d6139eb
- rebuild with python 3.10

* Sun May 02 2021 Jan Palus <atler@pld-linux.org> a9968bc
- up to 0.4.4

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 1f98c4a
- release 2 (by relup.sh)

* Sun Apr 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 0291ba8
- updated to 0.4.3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> cfbdf3a
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 4ea1c68
- updated to 0.4.1

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1df339e
- python 3.7 rebuild
- release 2 (by relup.sh)

* Tue Jul 18 2017 Elan Ruusamäe <glen@pld-linux.org> f7b361f
- up to 0.3.7

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 050c047
- python 3.6
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 074d9a9
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f938f23
- release 6 (by relup.sh)

